---

#! /cephfs/tmp/d20241205-1898910-5hkilv/kernel-selftests.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_cpu: 2
need_memory: 2G
kernel-selftests:
  group: iommu
job_origin: kernel-selftests.yaml
queue: bisect
testbox: lkp-csl-d01
commit: 17de3f5fdd35676b0e3d41c7c9bf4e3032eb3673
branch: internal-eywa/master
kconfig: x86_64-dcg_x86_64_defconfig-kselftests
extend_kconfig: '1'
name: "/cephfs/tmp/d20241205-1898910-5hkilv/kernel-selftests.yaml"
kernel_cmdline:
tbox_group: lkp-csl-d01
job_file: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-iommu-debian-12-x86_64-20240206.cgz-17de3f5fdd35-20241227-157789-j5veuf-0.yaml"
id: 452dcd9aea87f24acaa54656c5eb3ee30de17944
queuer_version: "/zday/lkp"

#! hosts/lkp-csl-d01
model: Cascade Lake
nr_node: 1
nr_cpu: 36
memory: 32G
nr_ssd_partitions: 1
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NW1P0B-part4"
brand: Intel(R) Core(TM) i9-10980XE CPU @ 3.00GHz
netconsole_port: 6685
ucode: '0x5003604'

#! include/category/functional
kmsg:
heartbeat:
meminfo:

#! include/category/ALL
sanity-check:

#! programs/kernel-selftests/include
need_kernel_version:
need_kconfig:
- FAULT_INJECTION_DEBUG_FS: "y"
- FAULT_INJECTION: "y"
- IOMMUFD
- IOMMUFD_TEST: "y"
- FAILSLAB: "y"
initrds:
- linux_headers
- linux_selftests
rootfs: debian-12-x86_64-20240206.cgz
enqueue_time: 2024-12-27 12:38:39.809569883 +08:00
compiler: gcc-12
_rt: "/result/kernel-selftests/iommu/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/17de3f5fdd35676b0e3d41c7c9bf4e3032eb3673"

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20241212-153134"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/iommu/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/17de3f5fdd35676b0e3d41c7c9bf4e3032eb3673/0
- BOOT_IMAGE=/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/17de3f5fdd35676b0e3d41c7c9bf4e3032eb3673/vmlinuz-6.7.0-rc3-00007-g17de3f5fdd35
- branch=internal-eywa/master
- job=/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-iommu-debian-12-x86_64-20240206.cgz-17de3f5fdd35-20241227-157789-j5veuf-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-dcg_x86_64_defconfig-kselftests
- commit=17de3f5fdd35676b0e3d41c7c9bf4e3032eb3673
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/17de3f5fdd35676b0e3d41c7c9bf4e3032eb3673/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/17de3f5fdd35676b0e3d41c7c9bf4e3032eb3673/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/17de3f5fdd35676b0e3d41c7c9bf4e3032eb3673/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20241208.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-7503345ac5f5-1_20241208.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /db/releases/20241204090034/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-csl-d01/kernel-selftests-iommu-debian-12-x86_64-20240206.cgz-17de3f5fdd35-20241227-157789-j5veuf-0.cgz"
last_kernel: 5.13.0-rc1
acpi_rsdp: '0x000f05b0'

#! queue options
queue_cmdline_keys:
- branch
- commit

#! user overrides
kernel: "/pkg/linux/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/17de3f5fdd35676b0e3d41c7c9bf4e3032eb3673/vmlinuz-6.7.0-rc3-00007-g17de3f5fdd35"
result_root: "/result/kernel-selftests/iommu/lkp-csl-d01/debian-12-x86_64-20240206.cgz/x86_64-dcg_x86_64_defconfig-kselftests/gcc-12/17de3f5fdd35676b0e3d41c7c9bf4e3032eb3673/0"

#! /db/releases/20241227114620/lkp-src/include/site/inn
dequeue_time: 2024-12-27 14:43:06.799545351 +08:00
job_state: finished
loadavg: 1.11 0.61 0.25 1/447 2803
start_time: '1735281879'
end_time: '1735281974'
version: "/lkp/lkp/.src-20241212-153134:39764b117979:42c8d5d500c7"
